{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "deletionPolicy": {
      "enum": [
        "Delete",
        "Retain"
      ],
      "type": "string",
      "x-kubernetes-validations": [
        {
          "message": "deletionPolicy is immutable once set",
          "rule": "self == oldSelf"
        }
      ]
    },
    "driver": {
      "type": "string",
      "x-kubernetes-validations": [
        {
          "message": "driver is immutable once set",
          "rule": "self == oldSelf"
        }
      ]
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "parameters": {
      "additionalProperties": {
        "type": "string"
      },
      "type": "object",
      "x-kubernetes-validations": [
        {
          "message": "parameters are immutable once set",
          "rule": "self == oldSelf"
        }
      ]
    }
  },
  "required": [
    "deletionPolicy",
    "driver"
  ],
  "type": "object"
}
